• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Is Java 7 still compatible with ancient Java versions?

 
Rogerio Kioshi
Ranch Hand
Posts: 690
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Is it?
 
Joanne Neal
Rancher
Posts: 3742
16
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
A program written using an earlier version of Java should* run on a Java 7 JRE. The reverse isn't true.


* Bug fixes in later versions may prevent code compiled with earlier versions from working correctly, but in general there shouldn't be any problems. The bigger the difference in versions the more likely you are to find something like this.
 
Akhilesh Trivedi
Ranch Hand
Posts: 1608
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
http://www.coderanch.com/t/518143/Java/java/Should-Java-backwards-compatible
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic